Subject: Re: Problem with `window manager already running' X-windows error
From: [email-masked] (Arlindo da Silva)

4 Feb 1998 17:15:09 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

> 
> Someone recently posted to this conference about starting up X-windows
> and getting a `window manager already running' message when fvwm was
> supposed to come up.
> 
> I think that is the result of optimism and not buying books on how to
> run X-windows.  Somewhere in the /var/... directory of Linux is the
> xinitrc file that is a bash script for starting X-windows when startx
> is called.  I imagine that c:\var\.... is similarly burdened when X-
> windows/cygwin runs under Windows 95/NT.  There is a very good chance
> that the person who posted the problem actually _does_ have another
> window manager running, and checking the xinitrc script will verify
> this.  Editing the script to delete the other window manager in favor
> of fvwm (or better, fvwm95-2) will remedy the problem.
> 

For some X servers, MI/X being one of them, you have a clear separation of the
X server proper and the window manager. With MI/X, the executable XS.EXE is
the X server, while TWM.EXE is the window manager, and if you choose you can
have a "xstart" script like this:

/mix_95/xs &
/usr/X11R6.3/bin/xset fp= /mix95/BDF/MISC ;
/usr/X11R6.3/bin/xclock -fg yellow -bg gray -geometry 100x100-0+0 &
/usr/X11R6.3/bin/bitmap -geometry 100x100+0-0 &
/usr/X11R6.3/bin/rxvt -geometry 80x25+0+0 &
/mix_95/twm -f ~/myown.twn

If one prefers 'fvwm' and have installed it, one can replace the last 
line with:

/usr/X11R6.3/bin/fvwm &

Now, for X servers which use MS Windows to do their window management, the
separation between X server and window manager is not that obvious, and
usually you cannot replace the native "Windows" manager with another one of
your choosing. Starnet's x-win32 and other high-end commercial X servers are
in this category. Therefore, if you try to run "fvwm" with these X-servers you
get the `window manager already running' because indeed MS Windows is the
window manager already in charge. In any event, you should check the
documentation that came with your X server.

-- 
Arlindo da Silva    
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".